
<div class="agent-profile">
    <div class="agent-img">
        <img src="<?php echo esc_url(sw_profile_image($user, 607)); ?>" alt="<?php echo esc_attr(selio_ch($user->display_name, '-')); ?>">
    </div><!--agent-img end-->
    <div class="agent-info">
        <h3><?php echo esc_html(selio_ch($user->display_name, '-')); ?></h3>
        <h4><?php echo esc_attr(profile_data($user, 'position_title')); ?></h4>

        <?php if (!empty($user_meta['description'][0])): ?>
        <p class="profile-description"><?php $sw_user_bio = sw_user_bio($user->ID); echo esc_html(selio_ch($sw_user_bio, '-')); ?></p>
        <?php endif; ?>

        <ul class="cont-links">
            <li><span><i class="la la-phone"></i><?php echo esc_attr(profile_data($user, 'phone_number')); ?></span></li>
            <li><a href="<?php echo esc_url('mailto:' . _ch($user->user_email, '-')); ?>" title="<?php echo esc_attr(selio_ch($user->user_email, '-')); ?>"><i class="la la-envelope"></i><?php echo esc_html(selio_ch($user->user_email, '-')); ?></a></li>
        </ul>

        <?php if (shortcode_exists('sw_win_selio_share_userprofile')): ?>
            <?php echo do_shortcode('[sw_win_selio_share_userprofile user_id="'.esc_attr($user->ID).'"]'); ?>
        <?php endif; ?>
    </div><!--agent-info end-->
</div><!--agent-profile end-->

<div class="similar-listings-posts similar-listings-agent">
    <h3 class="title"><?php echo esc_html__('Assigned Properties', 'selio');?></h3>
    <div class="agent-listings-container">
    <?php $this->load->view('frontend/userprofilelistings'); ?>
    </div>
</div>

<?php

$custom_js ="";

$custom_js.="

jQuery(document).ready(function($) {
    
    reloadElements();

    function reloadElements()
    {
        
        $('#results-profile .view-type').click(function () { 
          $(this).parent().parent().find('.view-type').removeClass(\"active\");
          $(this).addClass(\"active\");
          return false;
        });
        
        $('#results-profile a.view-type:not(.active)').click(function(){
            search_result(0, false, false, false);
            return false;
        });
        
        $('#results-profile #search_order').change(function(){
            search_result(0, false, false, true);
            return false;
        });
        
        $('#results-profile .pagination a').click(function () { 
            
            var href = $(this).attr('href');
            
            var offset = selio_getParameterByName('offset', href);
            
            search_result(offset, true, false, false);

            return false;
        });
                
        //dropdown select order
        $('.properties-rows .drop-menu').selio_drop_down();
    }

    function search_result(results_offset, scroll_enabled, save_only, load_map)
    {
        var selectorResults = '#results_top';
        
        // Order ASC/DESC
        var results_order = $('#results-profile #search_order').val();
        
        if (results_order === undefined || results_order === null) {
            results_order = 'idlisting DESC';
        }
        
        // View List/Grid
        var results_view = $('#results-profile .view-type.active').attr('data-ref');  
                
        if (results_view === undefined || results_view === null) {
            results_view = 'grid';
        }
        
        //Define default data values for search
        var data = {
            search_order: results_order,
            search_view: results_view,
            offset: results_offset,
            user_id: ".esc_html($user->ID)."
        };";
        
        // get results page ID
        $page_link = agent_url($user);
        
        $custom_js.="
        var gen_url = generateUrl(\"".esc_html($page_link)."\", data)+\"#results-profile\";";
        
        if(sw_is_page(sw_settings('user_profile_page'))):
        $custom_js.="
        $.extend( data, {
            \"page\": 'frontendajax_agentlisting',
            \"action\": 'ci_action'
        });
        
        $(\"#ajax-indicator\").show();
        $.post('".esc_url(admin_url( 'admin-ajax.php' )).'?'.esc_html(sw_lang_query())."', data,
        function(data){

            $(selectorResults).parent().parent().html(data.html);
            reloadElements();
            
            $(\"#ajax-indicator\").hide();
            if( scroll_enabled != false && !$(selectorResults).isInViewport() )
                $(document).scrollTop( $(selectorResults).offset().top-$('.header-inner').height()-150 );
            
            if ('history' in window && 'pushState' in history)
                history.pushState(null, null, gen_url);
            
        }, \"json\");";
        
        else:
        $custom_js.="
        window.location = gen_url;";
        endif;
    $custom_js.="
    }
    
    $.fn.isInViewport = function() {
        var elementTop = $(this).offset().top;
        var elementBottom = elementTop + $(this).outerHeight();
    
        var viewportTop = $(window).scrollTop();
        var viewportBottom = viewportTop + $(window).height();
    
        return elementBottom > viewportTop && elementTop < viewportBottom;
    };


});

function generateUrl(url, params) {
    var i = 0, key;
    for (key in params) {
        if (i === 0 && url.indexOf(\"?\")===-1) {
            url += \"?\";
        } else {
            url += \"&\";
        }
        url += key;
        url += '=';
        url += encodeURIComponent(params[key]);
        i++;
    }
    url = url.replace( /'/g, '%27' )
            .replace( /\"/g, '%22' );
    return url;
}

function selio_getParameterByName(name, url) {
    if (!url) {
      url = window.location.href;
    }
    name = name.replace(/[\[\]]/g, \"\\$&\");
    var regex = new RegExp(\"[?&]\" + name + \"(=([^&#]*)|&|#|$)\"),
        results = regex.exec(url);
    if (!results) return null;
    if (!results[2]) return '';
    return decodeURIComponent(results[2].replace(/\+/g, \" \"));
}

function sw_win_isNumeric(n) {
  return !isNaN(parseFloat(n)) && isFinite(n);
}
";
        
wp_add_inline_script( 'selio-custom', $custom_js );

?>
