<?php

    $trans = array();
    $trans['FROM'] = esc_html__('Min', 'selio' );
    $trans['TO'] = esc_html__('Max', 'selio' );
    $trans['NONE'] = '';
    $trans[''] = '';
    
    $field_name = $field_data->field_name;
    
    $col=2;
    $f_id = $field->id;
    $placeholder = $field_name;
    if(!empty($field_data->placeholder)){
        $placeholder = $field_data->placeholder;
    }
    $direction = $field->direction;
    if($direction == 'NONE'){
        $col=3;
        $direction = '';
    }
    else
    {
        $placeholder = $trans[$field->direction];
        $direction=strtolower('_'.$direction);
    }
    $prefix = $field_data->prefix;
    $suffix = $field_data->suffix;
    if($f_id == 36 || $f_id ==37) {
        $prefix=sw_show_price('',  $field_data->prefix);
        $suffix = sw_show_price('',  '', $field_data->suffix);
    }
    
    $suf_pre = $field_data->prefix.$field_data->suffix;
    if(!empty($suf_pre))
        $suf_pre = ' ('.$suf_pre.')';
        
    $class_add = $field->class;
    
    if(!empty($field_data->values)) {
        $values_available = explode(',', (string)$field_data->values);
    } else {
        $values_available = array();
    }
    
    $values_available = array_combine($values_available, $values_available);
    if(isset($values_available['']))
    {
        $values_available[''] = $trans[$field->direction];
    }
        
    $is_range = true;
    
    foreach($values_available as $key=>$val)
    {
        if(!empty($val) && !empty($key) && strpos($val, '-') == FALSE)
            $is_range = false  ; 
        if($key == '' && !empty($val))
        {
            $values_available[$key] = $val.' '.$suf_pre;
        }
        elseif ($key == '') {
            $values_available[$key] = $placeholder.' '.$suf_pre;
        }
        else
        {
            $values_available[$key] = $field_data->prefix.' '.$val.' '.$field_data->suffix;
        }
    }
        
    $filter_int = function($value = '') {
        $str_numbers_only = preg_replace("/[^\d]/", "", $value);
        return $str_numbers_only;
    };
    
    selio_filter_search_slidetoggle($class_add); 
?>
<div class="<?php echo esc_html(sw_filter_search_limit_banner ($class_add));?> form_field  field_search_<?php echo esc_attr($f_id); ?> <?php echo esc_attr($class_add);?>  <?php if(selio_plugin_call::sw_count($values_available) < 2): ?>sf_input<?php endif;?>">
    <div class="form-group">
    <?php if(count($values_available) > 1): ?>
        <?php if($is_range):?>
            <div class="drop-menu select_range">
                <div class="select">
                    <?php reset($values_available); if(key($values_available)==''):?>
                        <span><?php echo esc_html(current($values_available));?></span>
                    <?php else:?>
                        <span><?php echo esc_html__('Any','selio').' '.$field_name;?></span>
                    <?php endif;?>
                    <i class="fa fa-angle-down"></i>
                </div>
                <input class="def_field" type="hidden" id="search_<?php echo esc_attr($f_id).esc_attr($direction); ?>" name="search_<?php echo esc_attr($f_id).esc_attr($direction); ?>" value="<?php echo esc_attr(search_value($f_id.$direction)); ?>" />
                <ul class="dropeddown">
                    <?php reset($values_available); if(key($values_available)==''):?>
                        <li><?php echo esc_html(current($values_available));?></li>
                    <?php else:?>
                        <li><?php echo esc_html__('Any','selio').' '.$field_name;?></li>
                    <?php endif;?>
                    <?php if(selio_plugin_call::sw_count($values_available)>0) foreach ($values_available as $key => $value): 
                        $value = trim($value); if(empty($key) || (empty($value) && empty($value)!=0))continue;?>
                        <?php if($is_range && !empty($key)):?>
                        <?php
                        $val_range = explode('-',$key);
                        ?>
                        <?php
                        $selected = '';
                        if(search_value($f_id.'_from')==$filter_int($val_range[0]) && (search_value($f_id.'_to')==$filter_int($val_range[1])))
                            $selected = "selected='selected'";
                        ?>
                        <li data-value='<?php echo esc_html($key);?>' <?php echo esc_html($selected);?> data-from="<?php echo esc_attr($filter_int($val_range[0])); ?>" data-to="<?php echo esc_attr($filter_int($val_range[1])); ?>"><?php echo esc_html($field_data->prefix.$val_range[0].$field_data->suffix).' - '.esc_html($field_data->prefix.$val_range[1].$field_data->suffix); ?></li>
                        <?php else:?>
                        <li value="" data-from="" data-to=""><?php echo esc_html($value);?></li>
                        <?php endif;?>
                    <?php endforeach;?>
                </ul>
                <input id="<?php echo esc_attr('search_'.$field_data->idfield); ?>_from" name="<?php echo esc_attr('search_'.$field_data->idfield); ?>_from" type="text" class="s_dis value-from hidden" value="<?php echo esc_attr(search_value($f_id.'_from')); ?>" />
                <input id="<?php echo esc_attr('search_'.$field_data->idfield); ?>_to" name="<?php echo esc_attr('search_'.$field_data->idfield); ?>_to" type="text" class="s_dis value-to hidden" value="<?php echo esc_attr(search_value($f_id.'_to')); ?>" />
            </div>
        <?php else :?>
            <div class="drop-menu">
                <div class="select">
                    <?php reset($values_available); if(key($values_available)==''):?>
                        <span><?php echo esc_html(current($values_available));?></span>
                    <?php else:?>
                        <span><?php echo esc_html__('Any','selio').' '.$field_name;?></span>
                    <?php endif;?>
                    <i class="fa fa-angle-down"></i>
                </div>
                <input type="hidden" id="search_<?php echo esc_attr($f_id).esc_attr($direction); ?>" name="search_<?php echo esc_attr($f_id).esc_attr($direction); ?>" value="<?php echo esc_attr(search_value($f_id.$direction)); ?>" />
                <ul class="dropeddown">
                    <?php reset($values_available); if(key($values_available)==''):?>
                        <li><?php echo esc_html(current($values_available));?></li>
                    <?php else:?>
                        <li><?php echo esc_html__('Any','selio').' '.$field_name;?></li>
                    <?php endif;?>
                    <?php if(selio_plugin_call::sw_count($values_available)>0) foreach ($values_available as $key => $value): 
                        $value = trim($value); if(empty($key) || (empty($value) && empty($value)!=0))continue;?>
                        <li data-value='<?php echo esc_html($key);?>'><?php echo esc_html($value);?></li>
                    <?php endforeach;?>
                </ul>
            </div>
        <?php endif;?>
    <?php else: ?>
        <input id="search_<?php echo esc_attr($f_id).esc_attr($direction); ?>" name="search_<?php echo esc_attr($f_id).esc_attr($direction); ?>" type="text" class="form-control" placeholder="<?php echo esc_attr($placeholder) ?><?php echo esc_attr($suf_pre); ?>" value="<?php echo esc_attr(search_value($f_id.$direction)); ?>" />
    <?php endif; ?>
    </div>
</div>
