<div class="widget-box widget-section box-container widget-contactform">
    <p class="title"><?php echo esc_html__('Contact with Us', 'selio'); ?></p>
    <form id="sw_contactform_<?php echo esc_attr($widget_id)?>" method="post" action="#sw_contactform_<?php echo esc_attr($widget_id)?>" class="form">
        <?php _form_messages( esc_html__('Message sent successfully', 'selio'), NULL, esc_html($widget_id)); ?>       
        <div class="row">
            <div class="col-sm-6">
                <div class="form-group">
                    <input class="form-control" id="fullname_<?php echo esc_attr($widget_id)?>" name="fullname" type="text" value="<?php echo esc_attr(_fv('form_widget', 'fullname')); ?>" placeholder="<?php esc_attr_e('Full name', 'selio'); ?>" />
                </div>
                <div class="form-group">
                    <input class="form-control" id="email_<?php echo esc_attr($widget_id)?>" name="email" type="text" value="<?php echo esc_attr(_fv('form_widget', 'email')); ?>" placeholder="<?php esc_attr_e('Your email', 'selio'); ?>" />
                </div>
                <div class="form-group">
                    <input class="form-control" id="phone_<?php echo esc_attr($widget_id)?>" name="phone" type="text" value="<?php echo esc_attr(_fv('form_widget', 'phone')); ?>" placeholder="<?php esc_attr_e('Phone number', 'selio'); ?>" />
                </div>
            </div>
            <div class="col-sm-6">
                <div class="form-group">
                    <input class="form-control" id="subject_<?php echo esc_attr($widget_id)?>" name="subject" type="text" value="<?php echo esc_attr(_fv('form_widget', 'subject')); ?>" placeholder="<?php esc_attr_e('Subject', 'selio'); ?>" />
                </div><!-- /.form-group -->
                <div class="form-group">
                    <textarea id="message_<?php echo esc_attr($widget_id)?>" name="message" placeholder="<?php esc_attr_e('Message', 'selio'); ?>" rows="5" class="form-control"><?php echo esc_attr(_fv('form_widget', 'message')); ?></textarea>
                </div>
            </div>
        </div>
        <?php if (selio_plugin_call::sw_settings('terms_link')): ?>
            <div class="form-group">
                <label for="inputOption_terms" class="control-label">
                    <input name="option_agree_terms" value="true" type="checkbox" id="inputOption_terms"/>
                    <a target="_blank" href="<?php echo esc_url(selio_plugin_call::sw_settings('terms_link')); ?>"><?php echo esc_html__('I Agree To The Terms & Conditions, Privacy and GDPR Policies', 'selio'); ?></a>
                </label>
            </div>
        <?php endif; ?>
        <input class="hidden" id="widget_id" name="widget_id" type="text" value="<?php echo esc_attr($widget_id)?>" />
        <div class="row">
            <div class="col-sm-6">
                <div class="form-group clearfix">
                    <button class="btn2 btn-classic no-margin" type="submit"><?php echo esc_html__('Send', 'selio'); ?></button>
                </div>
            </div>
            <div class="col-sm-6">
                <div class="control-group form-group control-group-captcha">
                    <?php esc_view(_recaptcha(FALSE)); ?>
                </div>
            </div>
        </div>
    </form>
</div>
