<?php

$zoom_index = 10;
selio_plugin_call::sw_settings('zoom_index');
if(selio_plugin_call::sw_settings('zoom_index'))
    $zoom_index = selio_plugin_call::sw_settings('zoom_index');


$CI =& get_instance();

$lat = $lng = 0;

if($lat == 0)
{
    $lat = config_item('lat');
    $lng = config_item('lng');
}

if(sw_settings('lat') && sw_settings('lng')):
    $lat = sw_settings('lat');
    $lng = sw_settings('lng');
endif;  
?>

<div id="sw_map_results"  class="map <?php if(selio_plugin_call::sw_settings('kakao_map_enabled')) echo "kakao-map";?>" data-zoom_index="<?php echo esc_attr($zoom_index); ?>" data-num_listings="<?php if(isset($num_listings))echo esc_attr($num_listings); ?>" ></div>

<?php
$custom_js ="";
if(selio_plugin_call::sw_settings('kakao_map_enabled')):
   
$custom_js .="

    var map;
    var markers = [];
    var markerCluster; 
    var clusters ='';
    var clusterer;
    jQuery(document).ready(function($) {
        var container = document.getElementById('sw_map_results');
        var options = {";
        
        if(sw_settings('map_fixed_position')):           
            $custom_js .="
                center: new kakao.maps.LatLng(".sw_settings('lat').", ".sw_settings('lng')."),
            ";
        else:
            $custom_js .="
                center: new kakao.maps.LatLng(33.450701, 126.570667),
            ";
        endif;
        
        $custom_js .="   
            level: ".$zoom_index."
        };
        map = new kakao.maps.Map(container, options);
        // btns zoom
        var zoomControl = new kakao.maps.ZoomControl();
        map.addControl(zoomControl, kakao.maps.ControlPosition.RIGHT);
        
        clusterer = new kakao.maps.MarkerClusterer({
            map: map,
            markers: markers,
            gridSize: 35,
            averageCenter: true,
            minLevel: 6,
            disableClickZoom: true,
            styles: [{
                cursor: 'pointer',
                width: '52px',
                height: '52px',
                lineHeight: '52px',
                fontSize: '14px',
                background:' url(http://i1.daumcdn.net/localimg/localimages/07/mapjsapi/cluster.png) 0px 0px',
                textAlign: 'center',
                fontWeight: 'bold',
                color: '#fff',
            }]
        });
  ";  

        foreach($listings as $key=>$listing): 
        if(!is_numeric($listing->lat))continue;
        $custom_js .="
        var image = null;
        ";

        $pin_icon = "'".SELIO_IMAGES.'/markers/empty.png'."'";

        // check for version with field_id = 14
        if(file_exists(get_template_directory().'/assets/images/markers/'._field($listing, 14).'.png'))
        {
            $pin_icon = "'".SELIO_IMAGES.'/markers/'._field($listing, 14).'.png'."'";
        }

        // check for version with category related marker
        $category = get_listing_category($listing);

        if(isset($category->marker_icon_id))
        {
            $img = wp_get_attachment_image_src($category->marker_icon_id, 'thumbnail', true, '' );
            if(isset($img[0]) && substr_count($img[0], 'media/default.png') == 0)
            {
                $pin_icon = "'".$img[0]."'";
            }
        }

        $font_icon = "";
        // check for version with category related marker
        if(isset($category->font_icon_code) && !empty($category->font_icon_code))
        {
            $font_icon = $category->font_icon_code;
        }
        
        if($font_icon){
            $custom_js .="var innerMarker = '<div class=\"marker-container\"><div class=\"marker-card\"><div class=\"front face\"><i class=\"".esc_html($font_icon)."\"></i></div><div class=\"back face\"> <i class=\"".esc_html($font_icon)."\"></i></div><div class=\"marker-arrow\"></div></div></div>'";
        } elseif($pin_icon){
            $custom_js .="var image = ".esc_view($pin_icon)."; var innerMarker = '<div class=\"marker-container marker-container-image\"><div class=\"marker-card\"><div class=\"front face\"><img src='+image+'></img></div></div><div class=\"marker-arrow\"></div></div></div>'";
        }else{
            $custom_js .="var innerMarker = '<div class=\"marker-container\"><div class=\"marker-card\"><div class=\"front face\"><i class=\"la la-home\"></i></div><div class=\"back face\"> <i class=\"la la-home\"></i></div><div class=\"marker-arrow\"></div></div></div>'";
        }

        
        if(sw_settings('sw_html_marker_kakao_map_enable')){
        $custom_js .="
            
        /* custom marker */
        var myLatlng =  new kakao.maps.LatLng(".esc_html($listing->lat).", ".esc_html($listing->lng).");
        var callback = {
                'click': function(map, e){
                    var activemarker = e.activemarker;
                    jQuery.each(markers, function(){
                        this.activemarker = false;
                    })

                    sw_kakao_closeInfobox();
                    
                    if(activemarker) {
                        e.activemarker = false;
                       return true;
                    }
                    
                    /* example custon overlaty, bug issue, not found how panTo basic on position and height of infobox             
                    sw_kakao_closeOverlay();
                    sw_kakao_overlay = new kakao.maps.CustomOverlay({
                        content: '"._js(_infowindow_content($listing))."',
                        map: map,
                        position: e.position,
                        xAnchor: 0.5,
                        yAnchor: 1.1,
                        zIndex: 3, 
                        clickable: true
                    });
                    sw_kakao_overlay.setMap(map);
                    */

                    sw_kakao_infowindow = new kakao.maps.InfoWindow({
                        content: '"._js(_infowindow_content($listing))."',
                        position: e.position,
                        removable : true,
                        map: map,
                    });
                    
                    e.activemarker = true;
                }
            };       
            var args = {
                    'title':''
                };
        
        var marker = new KakaoCustomMarker(myLatlng,map, innerMarker,callback,args);
        markers[".esc_html($listing->idlisting)."] = marker;
        ";
        
        } else {
    $custom_js .="
        var marker = new kakao.maps.Marker({
                position: new kakao.maps.LatLng(".esc_html($listing->lat).", ".esc_html($listing->lng)." )
        });
        
        var sw_kakao_infowindow = new kakao.maps.InfoWindow({
            content: '"._js(_infowindow_content($listing))."',
            removable : true,
        });
        
        kakao.maps.event.addListener(marker, 'click', makeOpenListener(map, marker, sw_kakao_infowindow));
        
        clusterer.addMarker( marker );
        ";
    }
endforeach;
    
            
if(sw_settings('map_fixed_position')):           
$custom_js .="
        /* end set center */
        var p = new kakao.maps.LatLng(".sw_settings('lat').", ".sw_settings('lng').");
        map.panTo(p);
        map.setCenter(p);
        map.setLevel(".$zoom_index.");
";
endif;

$custom_js .="    
    // 마커 클러스터러에 클릭이벤트를 등록합니다
    // 마커 클러스터러를 생성할 때 disableClickZoom을 true로 설정하지 않은 경우
    // 이벤트 헨들러로 cluster 객체가 넘어오지 않을 수도 있습니다
    kakao.maps.event.addListener(clusterer, 'clusterclick', function(cluster) {

        // 현재 지도 레벨에서 1레벨 확대한 레벨
        var level = map.getLevel()-1;

        // 지도를 클릭된 클러스터의 마커의 위치를 기준으로 확대합니다
        map.setLevel(level, {anchor: cluster.getCenter()});
    });
    })";

elseif(selio_plugin_call::sw_settings('open_street_map_enabled')):

$custom_js .="
    var geocoder;
    var map;
    var markers = [];
    var clustererOptions;
    var infowindow;
    var markerCluster; 
    
    var clusters ='';
    var jpopup_customOptions =
    {
    'maxWidth': 'initial',
    'width': 'initial',
    'className' : 'popupCustom'
    }
    jQuery(document).ready(function($) {
        if(clusters=='')
            clusters = L.markerClusterGroup({spiderfyOnMaxZoom: true, showCoverageOnHover: false, zoomToBoundsOnClick: true});
        map = L.map('sw_map_results', {
            center: [". esc_html($lat).",".esc_html($lng)."],
            zoom: ".$zoom_index.",
            scrollWheelZoom: false,
            ";
            if(!sw_settings('enable_map_move_by_finger_mobile'))
               $custom_js .="dragging: !L.Browser.mobile,";
            else
               $custom_js .="dragging: true,";
            $custom_js .="tap: !L.Browser.mobile
        });     
        L.tileLayer('', {
            attribution: '&copy; <a href=\"https://www.openstreetmap.org/copyright\">OpenStreetMap</a> contributors'
        }).addTo(map);
        $.fn.sw_isInViewport  = function() {
            var elementTop = $(this).offset().top;
            var elementBottom = elementTop + $(this).outerHeight();
            var viewportTop = $(window).scrollTop();
            var viewportBottom = viewportTop + $(window).height()-40;
            return elementBottom > viewportTop && elementTop < viewportBottom;
        }; 
        var map_element = $('#sw_map_results');
        var doAnimations = function() {
            if (map_element.sw_isInViewport()) {
                var sw_style_open_street_ini = '//cartodb-basemaps-{s}.global.ssl.fastly.net/light_all/{z}/{x}/{y}{r}.png';
                if(typeof sw_map_style_open_street != 'undefined') {
                    sw_style_open_street_ini = sw_map_style_open_street;
                }
                var positron = L.tileLayer(sw_style_open_street_ini).addTo(map);

                if(typeof sw_win_open_map_custom_styles === 'function') {
                    sw_win_open_map_custom_styles(map);
                }
                
            } 
        };
        doAnimations();
  ";  

        foreach($listings as $key=>$listing): 
        if(!is_numeric($listing->lat))continue;
        $custom_js .="
        var image = null;
        ";

        $pin_icon = "'".SELIO_IMAGES.'/markers/empty.png'."'";

        // check for version with field_id = 14
        if(file_exists(get_template_directory().'/assets/images/markers/'._field($listing, 14).'.png'))
        {
            $pin_icon = "'".SELIO_IMAGES.'/markers/'._field($listing, 14).'.png'."'";
        }

        // check for version with category related marker
        $category = get_listing_category($listing);

        if(isset($category->marker_icon_id))
        {
            $img = wp_get_attachment_image_src($category->marker_icon_id, 'thumbnail', true, '' );
            if(isset($img[0]) && substr_count($img[0], 'media/default.png') == 0)
            {
                $pin_icon = "'".$img[0]."'";
            }
        }

        $font_icon = "";
        // check for version with category related marker
        if(isset($category->font_icon_code) && !empty($category->font_icon_code))
        {
            $font_icon = $category->font_icon_code;
        }
        
        if($font_icon){
            $custom_js .="var innerMarker = '<div class=\"marker-container\"><div class=\"marker-card\"><div class=\"front face\"><i class=\"".esc_html($font_icon)."\"></i></div><div class=\"back face\"> <i class=\"".esc_html($font_icon)."\"></i></div><div class=\"marker-arrow\"></div></div></div>'";
        } elseif($pin_icon){
            $custom_js .="var image = ".esc_view($pin_icon)."; var innerMarker = '<div class=\"marker-container marker-container-image\"><div class=\"marker-card\"><div class=\"front face\"><img src='+image+'></img></div></div><div class=\"marker-arrow\"></div></div></div>'";
        }else{
            $custom_js .="var innerMarker = '<div class=\"marker-container\"><div class=\"marker-card\"><div class=\"front face\"><i class=\"la la-home\"></i></div><div class=\"back face\"> <i class=\"la la-home\"></i></div><div class=\"marker-arrow\"></div></div></div>'";
        }

        $custom_js .="
        var marker = L.marker(
            [".esc_html($listing->lat).", ".esc_html($listing->lng)."],
            {icon: L.divIcon({
                    html: innerMarker,
                    className: 'open_steet_map_marker',
                    iconSize: [40, 60],
                    popupAnchor: [-1, -35],
                    iconAnchor: [21, 60],
                })
            }
        );
        marker.bindPopup('"._js(_infowindow_content($listing))."', jpopup_customOptions);
        clusters.addLayer(marker);
        markers.push(marker);
    ";
endforeach;
    
$custom_js .=" map.addLayer(clusters);";
            if(!sw_settings('map_fixed_position')):
            $custom_js .=" 
                /* set center */
                if(markers.length){
                    var limits_center = [];
                    for (var i in markers) {
                        var latLngs = [ markers[i].getLatLng() ];
                        limits_center.push(latLngs)
                    };
                    var bounds = L.latLngBounds(limits_center);";
                    if(sw_settings('auto_set_zoom_disabled')):
                        $custom_js .="map.setView(bounds.getCenter());";
                    else:
                        $custom_js .="
                            map.fitBounds(bounds);";
                    endif;
                    $custom_js .="
                }
                ";
                endif;
            
$custom_js .="
            /* end set center */
";

$custom_js .=" })";

else:

$custom_js .="
var geocoder;
var map;
var markers = [];
var clustererOptions;
var infowindow;
var markerCluster;

jQuery(document).ready(function($) {
    initMap();
});

    function selio_autoCenter(){
        if(markers.length == 0)return;
        var limits = new google.maps.LatLngBounds();
        for (var i in markers) {
            limits.extend(markers[i].position);
        };
        
        google.maps.event.addListenerOnce(map, 'bounds_changed', function() {
            if(markers.length == 1)
            {
                map.setZoom(12);
            }
            else
            {
                map.setZoom(map.getZoom());
            }
        });
        map.fitBounds(limits);
    }

    function selio_deleteMarkers() {
        //Loop through all the markers and remove
        for (var i in markers) {
            markers[i].setMap(null);
        }
        markers = [];
    };

function initMap() {
    clustererOptions = {
        imagePath: '".esc_url(plugins_url( SW_WIN_SLUG.'/assets').'/img/clusters/m')."'
    };
    
    var myLatlng = {lat: ". esc_html($lat).", lng: ".esc_html($lng)."};
    geocoder = new google.maps.Geocoder();
    map = new google.maps.Map(document.getElementById('sw_map_results'), {
      zoom: ".$zoom_index.",
      center: myLatlng,
    ";

    $custom_js .='
      styles: sw_map_style
    });
    ';
$custom_js .="
    infowindow = new google.maps.InfoWindow({
        content: '"._js( esc_html__('Loading...', 'selio'))."'
    });";
    
    foreach($listings as $key=>$listing): 
    if(!is_numeric($listing->lat))continue;
    $custom_js .="
    var image = null;
    ";
    
    $pin_icon = "'".esc_html(SELIO_IMAGES).'/markers/marker-transparent.png'."'";

    // check for version with field_id = 14
    if(file_exists(get_template_directory().'/assets/images/markers/'._field($listing, 14).'.png'))
    {
        $pin_icon = "'".SELIO_IMAGES.'/markers/'._field($listing, 14).'.png'."'";
    }

    // check for version with category related marker
    $category = get_listing_category($listing);

    if(isset($category->marker_icon_id))
    {
        $img = wp_get_attachment_image_src($category->marker_icon_id, 'thumbnail', true, '' );
        if(isset($img[0]) && substr_count($img[0], 'media/default.png') == 0)
        {
            $pin_icon = "'".$img[0]."'";
        }
    }
  
    $font_icon = "";
    // check for version with category related marker
    if(isset($category->font_icon_code) && !empty($category->font_icon_code))
    {
        $font_icon = $category->font_icon_code;
    }
        
    if($font_icon){
        $custom_js .="var innerMarker = '<div class=\"marker-container\"><div class=\"marker-card\"><div class=\"front face\"><i class=\"".esc_html($font_icon)."\"></i></div><div class=\"back face\"> <i class=\"".esc_html($font_icon)."\"></i></div><div class=\"marker-arrow\"></div></div></div>'";
    } elseif($pin_icon){
        $custom_js .="var image = ".esc_view($pin_icon)."; var innerMarker = '<div class=\"marker-container marker-container-image\"><div class=\"marker-card\"><div class=\"front face\"><img src='+image+'></img></div></div><div class=\"marker-arrow\"></div></div></div>'";
    }else{
        $custom_js .="var innerMarker = '<div class=\"marker-container\"><div class=\"marker-card\"><div class=\"front face\"><i class=\"la la-home\"></i></div><div class=\"back face\"> <i class=\"la la-home\"></i></div><div class=\"marker-arrow\"></div></div></div>'";
    }
    
    $custom_js .="
    image = ".esc_view($pin_icon).";
    var myLatlng = new google.maps.LatLng(".esc_html($listing->lat).", ".esc_html($listing->lng).");
    var callback = {
                'click': function(map, e){
                    var activemarker = e.activemarker;
                    jQuery.each(markers, function(){
                        this.activemarker = false;
                    })

                    sw_infoBox.close();
                    if(activemarker) {
                        e.activemarker = false;
                        return true;
                    }

                    var boxOptions = {
                        content: '"._js(_infowindow_content($listing))."',
                        disableAutoPan: false,
                        alignBottom: true,
                        maxWidth: 0,
                        pixelOffset: new google.maps.Size(-159, -60),
                        zIndex: null,
                        infoBoxClearance: new google.maps.Size(1, 1),
                        isHidden: false,
                        pane: 'floatPane',
                        enableEventPropagation: false,
                        closeBoxURL: '".SELIO_IMAGES.'/close.png'."'
                    };

                    sw_infoBox.setOptions( boxOptions);
                    sw_infoBox.open( map, e );

                    setTimeout(function(){
                        var $ = jQuery;
                        $(\".infoBox-close\").on('click', function(e){
                            e.preventDefault(), sw_infoBox.close();
                        })
                    }, 500)

                    e.activemarker = true;
                }
        };       
    var args = {
                'title':'"._js($listing->address)."'
            };
    var marker = new CustomMarker(myLatlng,map,innerMarker,callback,args);
    markers[".esc_html($listing->idlisting)."] = marker;
";

endforeach;

$custom_js .="
    markerCluster = new MarkerClusterer(map, markers, clustererOptions);
    selio_autoCenter();
}
";
   
endif;
selio_add_into_inline_js( 'selio-custom', $custom_js, true);

?>