<?php
/**************************************************************************
Customizer include file
Includes all functions for the customizer with this theme
**************************************************************************/

/**************************************************************************
Add theme customizer controls, settings etc.
**************************************************************************/
function selio_customize_register( $wp_customize ) {
	
	/********************
	Define generic controls
    *********************/
     $wp_customize->get_setting('blogname')->transport = 'postMessage';
    
    $wp_customize->selective_refresh->add_partial('made_by', array(
        'selector' => '.footer-content .copyright p',
        'render_callback' => 'selio_sanitize_callback',
    ));
    
    
    // add a setting for the site logo
    $wp_customize->add_setting('made_by', array('sanitize_callback' => 'selio_sanitize_callback'));
    // Add a control to upload the logo
	$wp_customize->add_control( new WP_Customize_Control(
	    $wp_customize,
		'made_by',
		    array(
		        'label'    => 'Made by text',
		        'section'  => 'title_tagline',
		        'settings' => 'made_by',
		        'type'     => 'text'
		    )
	    )
    );
    
	// create class to define textarea controls in Customizer
	class Selio_Customize_Textarea_Control extends WP_Customize_Control {
		
		public $type = 'textarea';
		public function render_content() {
			
			echo '<label>';
				echo '<span class="customize-control-title">' . esc_html( $this-> label ) . '</span>';
				echo '<textarea rows="2" style ="width: 100%;"';
				$this->link();
				echo '>' . esc_textarea( $this->value() ) . '</textarea>';
			echo '</label>';
			
		}
	}	
             	// create class to define textarea controls in Customizer
	class Selio_Color_Pickers extends WP_Customize_Control {
		
		public $type = 'textarea';
		public function render_content() {
                        echo '<style>';
                        echo '.palette-colors {
                                margin: 0;
                                list-style: none;
                                padding: 0;                            
                              }';
                        
                        echo '.palette-colors li {
                                display: block;
                                float: left;
                                margin-bottom: 11px;
                                margin-right: 12px;
                                }';
                        
                        echo '.palette-colors li a {
                                    display: block;
                                    height: 26px;
                                    margin: 1px;
                                    width: 26px;
                                }';
                        echo '</style>';
                        echo    '<label id="color-variants">';
                        echo        '<span class="customize-control-title">Colors Variant</span>';
                        echo        '<ul class="palette-colors clearfix">';
                        echo            '<li data-color-id="red" data-selio_main_color="#9b2343"><a href="#" style="background:#bf224e" title="red"></a></li>';
                        echo            '<li data-color-id="pink" data-selio_main_color="#840e3b"><a href="#" style="background:#bf224e" title="pink"></a></li>';
                        echo            '<li data-color-id="blue" data-selio_main_color="#0e2d58" ><a href="#" style="background:#0f7ad5" title="blue"></a></li>';
                        echo            '<li data-color-id="green" data-selio_main_color="#22772b"><a href="#" style="background:#39b54a" title="green"></a></li>';
                        echo            '<li data-color-id="cyan" data-selio_main_color="#00594e" ><a href="#" style="background:#0aa699" title="cyan"></a></li>';
                        echo            '<li data-color-id="purple" data-selio_main_color="#593753"><a href="#" style="background:#8e5c90" title="purple"></a></li>';
                        echo            '<li data-color-id="gold" data-selio_main_color="#bea35a"><a href="#" style="background:#bea35a" title="gold"></a></li>';
                        echo            '<li data-color-id="brown" data-selio_main_color="#471600"><a href="#" style="background:#846447" title="brown"></a></li>';
                        echo        '</ul>';
                        echo    '</label>';
                        
                        ?>
                        <script>
                        jQuery(function($){
                            $("#color-variants a").on('click',function (e) {
                                e.preventDefault();
                                var sheme = $(this).parent();
                                /* Main text color color */
                                var selio_main_color = sheme.data('selio_main_color') || '';
                                $('#customize-control-selio_main_color .wp-color-picker').wpColorPicker( 'color', selio_main_color );
                                
                            });
                        })
                        </script>
                        <?php
		}
	}	
        
        /*******************************************
        Share PLugin
        * ****************************************** */
        // add the section
        $wp_customize->add_section('selio_share_plugin', array(
            'title' => esc_html__('Share Plugin ', 'selio'),
            'description' => esc_html__( 'If not defined, plugin shared current page. Please share full link, example: https://facebook.com', 'selio' ),
        ));
        
        $sw_social_elem = [
            'facebook' => 'Facebook',
            'twitter' => 'Twitter',
            'linkedin' => 'Linkedin',
            'instagram' => 'Instagram',
        ];
        foreach ($sw_social_elem as $key => $value) {
            $wp_customize->add_setting('selio_share_plugin_'.$key, array('sanitize_callback' => 'selio_sanitize_callback'));
            $wp_customize->add_control('selio_share_plugin_'.$key, array(
                'label' => sprintf(esc_html__(' %1$s link', 'selio'), $value),
                'section' => 'selio_share_plugin',
                'settings' => 'selio_share_plugin_'.$key,
                'type' => 'text',
            ));

            $wp_customize->add_setting('selio_share_plugin_'.$key.'_hide', array('sanitize_callback' => 'selio_sanitize_callback'));
            $wp_customize->add_control('selio_share_plugin_'.$key.'_hide', array(
                'label' => sprintf(esc_html__(' %1$s link hide', 'selio'), $value),
                'section' => 'selio_share_plugin',
                'settings' => 'selio_share_plugin_'.$key.'_hide',
                'type' => 'checkbox',
            ));

            $wp_customize->add_setting('selio_share_plugin_'.$key.'_icon', array('sanitize_callback' => 'selio_sanitize_callback'));
            $wp_customize->add_control(new WP_Customize_Image_Control(
                $wp_customize, 'selio_share_plugin_'.$key.'_icon', array(
                'label' => sprintf(esc_html__('Custom icon for %1$s icon share', 'selio'),$key),
                'section' => 'selio_share_plugin',
                'settings' => 'selio_share_plugin_'.$key.'_icon'
                )
            ));
        }
	/*******************************************
	Contact details in header
	********************************************/
        
	// add the section
	$wp_customize->add_section( 'selio_contact' , array(
		'title' => esc_html__( 'Contact Details', 'selio')
	) );
	
	// email
	$wp_customize->add_setting( 'selio_email_setting', array (
		'default' => '', 'sanitize_callback' => 'selio_sanitize_callback'
	) );
	$wp_customize->add_control( new Selio_Customize_Textarea_Control(
		$wp_customize,
		'selio_email_setting',
		array( 
			'label' => esc_html__( 'Email', 'selio' ),
			'section' => 'selio_contact',
			'settings' => 'selio_email_setting'
	)));
        
        // phone
        $wp_customize->add_setting('selio_phone_setting', array(
            'default' => '', 'sanitize_callback' => 'selio_sanitize_callback'
        ));
        
        $wp_customize->add_control(new Selio_Customize_Textarea_Control(
                $wp_customize, 'selio_phone_setting', array(
            'label' => esc_html__('Phone', 'selio'),
            'section' => 'selio_contact',
            'settings' => 'selio_phone_setting'
        )));
        
        // address
        $wp_customize->add_setting('selio_address_setting', array(
            'default' => '', 'sanitize_callback' => 'selio_sanitize_callback'
        ));
        $wp_customize->add_control(new Selio_Customize_Textarea_Control(
                $wp_customize, 'selio_address_setting', array(
                    'label' => esc_html__('Address', 'selio'),
                    'section' => 'selio_contact',
                    'settings' => 'selio_address_setting'
                )));
        

        $wp_customize->add_section('selio_layout', array(
            'title' => esc_html__('Layout', 'selio')
        ));

        /* Main Font */
        $wp_customize->add_setting( 'selio_main_font', array('default' => '', 'sanitize_callback' => 'selio_sanitize_callback') );
        $wp_customize->add_control( 'selio_main_font', array (
            'label' => esc_html__( 'Main Font', 'selio' ),
            'section' => 'selio_layout',
                    'description' => __( 'Using this option you can change the theme font family', 'selio' ),
            'settings' => 'selio_main_font',
                    'priority'   => 10,
                    'type'    => 'select',
                    'choices' => array(
                        '' => 'Default',
                        'Arial' => 'Arial',
                        'Antiqua' => 'Antiqua',
                        'Avqest' => 'Avqest',
                        'Blackletter' => 'Blackletter',
                        'Comic' => 'Comic',
                        'Comic Sans M' => 'Comic Sans M',
                        'Comic Sans' => 'Comic Sans',
                        'Courier New' => 'Courier New',
                        'cursive' => 'cursive',
                        'fantasy' => 'fantasy',
                        'Geneva' => 'Geneva',
                        'Georgia' => 'Georgia',
                        'Helvetica' => 'Helvetica',
                        'Impact, Charcoal' => 'Impact, Charcoal',
                        'Lucida Sans Unicode' => 'Lucida Sans Unicode',
                        'Lucida Console' => 'Lucida Console',
                        'monospace' => 'monospace',
                        'Nunito' => 'Nunito',
                        'serif' => 'serif',
                        'sans-serif' => 'sans-serif',
                        'Times New Roman' => 'Times New Roman',
                        'Times' => 'Times',
                        'Tahoma' => 'Tahoma',
                        'Verdana' => 'Verdana',
                        'Open Sans' => 'Open Sans',
                    )
        ));
            /* end Main Font */
        

        $wp_customize->add_setting('selio_gallery_in_box_enabled', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('selio_gallery_in_box_enabled', array(
            'label' => esc_html__('Gallery in separate box enabled', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'selio_gallery_in_box_enabled',
            'type' => 'checkbox',
        ));

        $wp_customize->add_setting('currency_dropdown_disable', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('currency_dropdown_disable', array(
            'label' => esc_html__('Currency Dropdown Disable', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'currency_dropdown_disable',
            'type' => 'checkbox',
        ));

        $wp_customize->add_setting('country_dropdown_disable', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('country_dropdown_disable', array(
            'label' => esc_html__('Country Dropdown Disable', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'country_dropdown_disable',
            'type' => 'checkbox',
        ));

        $wp_customize->add_setting('selio_gallery_in_box_enabled', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('selio_gallery_in_box_enabled', array(
            'label' => esc_html__('Gallery in separate box enabled', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'selio_gallery_in_box_enabled',
            'type' => 'checkbox',
        ));

        
        $wp_customize->add_setting('selio_author_section_enabled', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('selio_author_section_enabled', array(
            'label' => esc_html__('Author section enabled', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'selio_author_section_enabled',
            'type' => 'checkbox',
        ));

        
        $wp_customize->add_setting('selio_listing_subm_enabled', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('selio_listing_subm_enabled', array(
            'label' => esc_html__('Submit listing enable', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'selio_listing_subm_enabled',
            'type' => 'checkbox',
        ));

        $wp_customize->add_setting('selio_login_enabled', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('selio_login_enabled', array(
            'label' => esc_html__('Ligin button enabled', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'selio_login_enabled',
            'type' => 'checkbox',
        ));    

        $wp_customize->add_setting('header_sticky_enable', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('header_sticky_enable', array(
            'label' => esc_html__('header sticky enable', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'header_sticky_enable',
            'type' => 'checkbox',
        ));    
        
        $wp_customize->add_setting('mask_disable', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('mask_disable', array(
            'label' => esc_html__('Mask disable', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'mask_disable',
            'type' => 'checkbox',
        ));    
        
        $wp_customize->add_setting('breadcrumb_disable', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('breadcrumb_disable', array(
            'label' => esc_html__('Breadcrumb disable for all', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'breadcrumb_disable',
            'type' => 'checkbox',
        ));    
        
        $wp_customize->add_setting('footer_placeholder_disable', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('footer_placeholder_disable', array(
            'label' => esc_html__('Footer placeholder disable', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'footer_placeholder_disable',
            'type' => 'checkbox',
        ));    
        
        $wp_customize->add_setting('enable_top_bar_mobile', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('enable_top_bar_mobile', array(
            'label' => esc_html__('Enable top bar mobile', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'enable_top_bar_mobile',
            'type' => 'checkbox',
        ));    
        
        $wp_customize->add_setting('tagline_enable', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control('tagline_enable', array(
            'label' => esc_html__('Show tagline instead address/phone on top bar', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'tagline_enable',
            'type' => 'checkbox',
        ));    

        $wp_customize->add_setting('footer_placeholder', array('sanitize_callback' => 'selio_sanitize_callback'));
        $wp_customize->add_control(new WP_Customize_Image_Control(
            $wp_customize, 'footer_placeholder', array(
            'label' => esc_html__('Upload your custom footer image', 'selio'),
            'section' => 'selio_layout',
            'settings' => 'footer_placeholder'
            )
        ));
        
        $wp_customize->add_section( 'selio_pages_layout', array(
            'title' => esc_html__( 'Pages layout', 'selio' )
        ));

        $templates = array('template-agent-profile','template-blog-standard','template-content-clear','template-full-width-clear','template-full-width','template-listing-preview','template-results-half-map');
       
        foreach ($templates as $key => $value) {
            /* $selio_header_layout_fullwidth */
            $wp_customize->add_setting('selio_'.$value.'_header_layout_fullwidth', array('sanitize_callback' => 'selio_sanitize_callback'));
            $wp_customize->add_control('selio_'.$value.'_header_layout_fullwidth', array(
                'label' => esc_html($value).esc_html__(' header layout fullwidth enable', 'selio'),
                'section' => 'selio_pages_layout',
                'settings' => 'selio_'.$value.'_header_layout_fullwidth',
                'type' => 'checkbox',
            ));    

            /* $selio_header_layout_hidetop */
            $wp_customize->add_setting('selio_'.$value.'_header_layout_hidetop', array('sanitize_callback' => 'selio_sanitize_callback'));
            $wp_customize->add_control('selio_'.$value.'_header_layout_hidetop', array(
                'label' =>  esc_html($value).esc_html__(' header layout hidetop', 'selio'),
                'section' => 'selio_pages_layout',
                'settings' => 'selio_'.$value.'_header_layout_hidetop',
                'type' => 'checkbox',
            )); 

            /*******************************************
            Colors
            ********************************************/
            // Color Pickers
            $wp_customize->add_setting('selio_color_pickers', array('sanitize_callback' => 'selio_sanitize_callback'));
            $wp_customize->add_control(new Selio_Color_Pickers(
                    $wp_customize, 'selio_color_varian', array(
                'label' => esc_html__('Color Pickers', 'selio'),
                'section' => 'colors',
                'settings' => 'selio_color_pickers'
            )));

            $wp_customize->add_setting('selio_main_color', array('sanitize_callback' => 'selio_sanitize_callback'));
            $wp_customize->add_control(new WP_Customize_Color_Control(
                $wp_customize, 'selio_main_color', array(
                    'label' => esc_html__('Selio Main Color', 'selio'),
                    'section' => 'colors',
                    'settings' => 'selio_main_color'
                )
            ));
        }
}

add_action( 'customize_register', 'selio_customize_register' );


function selio_get_footer_placeholder() {
    $footer_placeholder = get_theme_mod('footer_placeholder', '');

    if (empty($footer_placeholder))
        $footer_placeholder = SELIO_THEMEROOT.'/assets/images/placeholder-footer.png';

    return $footer_placeholder;
}


function selio_email()
{
    $output = '';
    
    // email
    $email = get_theme_mod( 'selio_email_setting', '' );
    
    if(empty($email))
        $email = get_option( 'admin_email' );
    
    $output.='<a href="mailto:' . esc_attr($email) . '"><i class="fa fa-envelope"></i> ';
    $output.=$email;
    $output.='</a>';
    
    return $output;
}

function selio_logo_in_header()
{
    $logo_url = get_theme_mod( 'selio_logo_upload', '' );
    
    if(empty($logo_url))
        $logo_url = esc_html(DEVON_IMAGES).'/logo.png';
    
    return $logo_url;
}

function selio_logomini_in_header()
{
    $logo_url = get_theme_mod( 'selio_logomini_upload', '' );
    
    if(empty($logo_url))
        $logo_url = esc_html(DEVON_IMAGES).'/logo_mini.png';
    
    return $logo_url;
}

function selio_textcolor($color_slug, $prefix='', $suffix='')
{
    $color_hex = get_option( $color_slug, '' );
    
    if(empty($color_hex))
    {
        $color_hex = '';
    }
    else
    {
        $color_hex=$prefix.$color_hex.$suffix;
    }
    
    return $color_hex;
}

function selio_background_img()
{
    $img_url = get_theme_mod( 'selio_background_upload', '' );
    
    if(empty($img_url))
        $img_url = esc_html(DEVON_IMAGES).'/patterns/full-bg-road.jpg';
    
    return $img_url;
}

function selio_layout()
{
    $return = get_theme_mod( 'selio_layout_width', 'wide' );

    if(strpos(get_page_template(), 'template-results-side') > 1)
        return 'wide';

    return $return;
}

function selio_blog_design()
{
    $return = get_theme_mod( 'selio_blog_design', '1' );

    return $return;
}



/*******************************************************************************
 add class from selio_layout to body
 ********************************************************************************/
add_filter('body_class','layout_class_names');
function layout_class_names( $classes ) {
        $classes[] = selio_layout();
	return $classes;
}

function selio_sanitize_callback($value) {
    return $value;
}



/**
 * This function adds some styles to the WordPress Customizer
 */
function selio_customizer_styles() { ?>
	<style>
            
            .postbox.postbox-upload {
                border: 1px solid #e1e1e1;
                padding: 0;
                border: 0;
                max-width: 100%;
                min-width: initial;
                width: 100%;
            }
            
            .postbox.postbox-upload .hide-if-no-js {
                width: 100%;
                position: relative;
                text-align: center;
                cursor: default;
                border: 1px dashed #b4b9be;
                box-sizing: border-box;
                padding: 9px 0;
                line-height: 20px;
                background: #f1f1f1;
            }
            
            .postbox.postbox-upload .hide-if-no-js a {
                text-decoration: none;
            }
            
            #customize-controls .widefat[type="checkbox"] {
                margin-left: 5px;
                margin-bottom: -5px;
            }
            
            #customize-controls .upload_container {
                display: -webkit-flex;
                display: flex;
                -webkit-flex-direction: column;
                flex-direction: column;
            }
            
            #customize-controls .upload_container .postbox.postbox-upload {
                margin-bottom: 0;
            }
            
            #customize-controls .upload_container .postbox.postbox-upload.open {
                margin-top: -12px;
            }
            
            #customize-controls .upload_container.multi .postbox.postbox-upload.hidden,
            #customize-controls .upload_container .postbox.postbox-upload:not(:first-child) {
                display: none;
            }
            
            #customize-controls .upload_container.multi .postbox.postbox-upload {
                display: block;
            }

	</style>
	<?php

}
add_action( 'customize_controls_print_styles', 'selio_customizer_styles', 999 );


/* * *****************************************************************************
  Widget Color
 * ****************************************************************************** */

function selio_widget_color() {

    if (selio_app_type() !== 'demo')
        return false;

    ?>
    <div class="custom-palette border-color-secondary palette-closed">
        <div class="custom-palette-box">
            <div class="custom-palette-box-pr">
                <div class="row-fluid">
                    <div class='palette-prepared' id='palette-colors-prepared'>
                        <label class="label-title"><?php echo esc_html__('Color Scheme', 'selio'); ?></label>
                        <ul class="palette-prepared-list palette-colors clearfix">
                            <li data-color-id="red" data-selio_main_color="9b2343"><a href="#" style="background:#bf224e" title="<?php echo esc_attr_e('red', 'selio'); ?>"></a></li>
                            <li data-color-id="pink" data-selio_main_color="840e3b"><a href="#" style="background:#bf224e" title="<?php echo esc_attr_e('pink', 'selio'); ?>"></a></li>
                            <li data-color-id="blue" data-selio_main_color="0e2d58" ><a href="#" style="background:#0f7ad5" title="<?php echo esc_attr_e('blue', 'selio'); ?>"></a></li>
                            <li data-color-id="green" data-selio_main_color="22772b"><a href="#" style="background:#39b54a" title="<?php echo esc_attr_e('green', 'selio'); ?>"></a></li>
                            <li data-color-id="cyan" data-selio_main_color="00594e" ><a href="#" style="background:#0aa699" title="<?php echo esc_attr_e('cyan', 'selio'); ?>"></a></li>
                            <li data-color-id="purple" data-selio_main_color="593753"><a href="#" style="background:#8e5c90" title="<?php echo esc_attr_e('purple', 'selio'); ?>"></a></li>
                            <li data-color-id="gold" data-selio_main_color="bea35a"><a href="#" style="background:#bea35a" title="<?php echo esc_attr_e('gold', 'selio'); ?>"></a></li>
                            <li data-color-id="brown" data-selio_main_color="471600"><a href="#" style="background:#846447" title="<?php echo esc_attr_e('brown', 'selio'); ?>"></a></li>
                        </ul>
                    </div>
                </div>
                <div class="row-fluid text-center">
                    <a href="" class="btn btn-primary color-secondary btn-wide" id="pallete-reset"><span><?php echo esc_html__('Reset', 'selio'); ?></span></a>
                </div>

                <a class="btn btn-primary custom-palette-btn color-secondary">
                    <img src="<?php echo esc_attr(SELIO_IMAGES . '/settings.png'); ?>" alt="...">
                </a>
            </div>
        </div>
    </div><!-- /.custom-palette -->  
    <script>
        jQuery(document).ready(function($){
            // close and open palette panel
            $('.custom-palette-btn').on('click', function (e) {
                e.preventDefault();
                $('.custom-palette').toggleClass('palette-closed');
            })
            
            var scheme ='<?php 
                            // @codingStandardsIgnoreStart
                            global $wp_filesystem;
                            // Initialize the WP filesystem, no more using 'file-put-contents' function
                            if (empty($wp_filesystem)) {
                                require_once (ABSPATH . '/wp-admin/includes/file.php');
                                WP_Filesystem();
                            }
                            // @codingStandardsIgnoreEnd
                    
                            $color_css =$wp_filesystem->get_contents(SELIO_CSS.'/palette_css.css');
                            $color_css = str_replace(array("\r\n", "\r", "\n"), '', $color_css);
                            $color_css = str_replace(array("\t","	","  "), ' ', $color_css);
                            $color_css = str_replace(array("\t","	","  "), ' ', $color_css);
                            $color_css = str_replace(array("\t","	","  "), ' ', $color_css);
                            $color_css = str_replace(array("\t","	","  "), ' ', $color_css);
                            $color_css = str_replace(array("\t","	","  "), ' ', $color_css);
                            echo wp_kses_post($color_css);
            ?>';
            
            $('.custom-palette .palette-prepared-list a').on('click', function (e) {
                e.preventDefault();
                var color_scheme = $(this).parent().attr('data-selio_main_color');
                
                var new_scheme = scheme;
                console.log(color_scheme);
                console.log('6a7be7 6a7be7 6a7be7 6a7be7 6a7be7'.replace(/6a7be7/g,color_scheme))
                console.log(new_scheme.replace('/6a7be7/g',color_scheme));
                new_scheme = new_scheme.replace(/6a7be7/g,color_scheme);
                $('#dinamic-scheme').html(new_scheme);
            })
            
            $('.custom-palette #pallete-reset').on('click', function (e) {
                e.preventDefault();
                var color_scheme = $(this).parent().attr('data-selio_main_color');
                $('#dinamic-scheme').html('');
            })
        })
    </script>
    <?php
}

add_action('wp_footer', 'selio_widget_color');
function selio_widget_color_header(){
    if (selio_app_type() !== 'demo')
        return false;

    ?>
    <style id="dinamic-scheme"></style>
    <?php
}


add_action('wp_head', 'selio_widget_color_header');